GensivDocs
AcademyAPI referenceMCP

Basics

OverviewAuthenticationRate limitsErrors

Endpoints

Get usage GET
Usage

Delete tag DELETE

Delete a tag and remove it from everything it labels.

List engines GET

List every AI engine in display order.

Gensiv

Resources

AcademyWebsiteBlogGlossary

Developer tools

API referenceMCP serverChangelog

Support

Contact supportGetting startedRate limits

© 2026 Gensiv. All rights reserved.

Usage

Get usage

GET
/billing/usage

The workspace's usage against its plan limits this period.

Authorization

apiKey
headerx-api-key<token>

Workspace API key from Settings > API keys. Also accepted as Authorization: Bearer gsk_...

Response Body

Usage

application/json
  1. response
  1. response
  2. …
plan*|
Value in"lite""starter""growth""agency"null
status*string
Value in"none""trialing""active""past_due""unpaid""canceled""incomplete"
active*boolean
periodStart*string|null
periodEnd*string|null
brandName*string|null
meters*array<>
Example Request
curl -X GET 'https://app.gensiv.com/api/v1/billing/usage'
Example Response
{  "plan": "lite",  "status": "none",  "active": true,  "periodStart": "string",  "periodEnd": "string",  "brandName": "string",  "meters": [    {      "id": "brands",      "used": 0,      "limit": 0,      "available": true,      "perBrand": true,      "brands": [        {          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "name": "string",          "logoUrl": "string",          "used": 0        }      ]    }  ]}

Delete tag DELETE

Delete a tag and remove it from everything it labels.

List engines GET

List every AI engine in display order.

Start free trial
Start free trial
Example Request
curl -X GET 'https://app.gensiv.com/api/v1/billing/usage'
{
  "plan": "lite",
  "status": "none",
  "active": true,
  "periodStart": "string",
  "periodEnd": "string",
  "brandName": "string",
  "meters": [
    {
      "id": "brands",
      "used": 0,
      "limit": 0,
      "available": true,
      "perBrand": true,
      "brands": [
        {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "name": "string",
          "logoUrl": "string",
          "used": 0
        }
      ]
    }
  ]
}